if (mischidden_enabled) {
	NEI.hide("minecraft:flowing_water");
	NEI.hide("minecraft:water");
	NEI.hide("minecraft:flowing_lava");
	NEI.hide("minecraft:lava");
	NEI.hide("minecraft:flowing_water");
	NEI.hide("minecraft:fire");
	NEI.hide("minecraft:end_portal");
	NEI.hide("Artifacts:light_block");
	NEI.hide("Artifacts:floating_block");
	NEI.hide("Artifacts:fake_tile_entity");
	NEI.hide("Artifacts:laser_beam");
	NEI.hide("BiomesOPlenty:plants");
	NEI.hide("BiomesOPlenty:plants:1");
	NEI.hide("BiomesOPlenty:plants:2");
	NEI.hide("BiomesOPlenty:plants:3");
	NEI.hide("BiomesOPlenty:plants:4");
	NEI.hide("BiomesOPlenty:plants:5");
	NEI.hide("BiomesOPlenty:plants:6");
	NEI.hide("BiomesOPlenty:plants:7");
	NEI.hide("BiomesOPlenty:plants:8");
	NEI.hide("BiomesOPlenty:plants:12");
	NEI.hide("BiomesOPlenty:plants:13");
	NEI.hide("BiomesOPlenty:plants:14");
	NEI.hide("BiomesOPlenty:plants:15");
	NEI.hide("BiomesOPlenty:flowers");
	NEI.hide("BiomesOPlenty:flowers:1");
	NEI.hide("BiomesOPlenty:flowers:2");
	NEI.hide("BiomesOPlenty:flowers:3");
	NEI.hide("BiomesOPlenty:flowers:4");
	NEI.hide("BiomesOPlenty:flowers:5");
	NEI.hide("BiomesOPlenty:flowers:6");
	NEI.hide("BiomesOPlenty:flowers:7");
	NEI.hide("BiomesOPlenty:flowers:8");
	NEI.hide("BiomesOPlenty:flowers:9");
	NEI.hide("BiomesOPlenty:flowers:10");
	NEI.hide("BiomesOPlenty:flowers:11");
	NEI.hide("BiomesOPlenty:flowers:12");
	NEI.hide("BiomesOPlenty:flowers:13");
	NEI.hide("BiomesOPlenty:flowers:15");
	NEI.hide("BiomesOPlenty:flowers2");
	NEI.hide("BiomesOPlenty:flowers2:1");
	NEI.hide("BiomesOPlenty:flowers2:2");
	NEI.hide("BiomesOPlenty:flowers2:3");
	NEI.hide("BiomesOPlenty:flowers2:4");
	NEI.hide("BiomesOPlenty:flowers2:5");
	NEI.hide("BiomesOPlenty:flowers2:6");
	NEI.hide("BiomesOPlenty:flowers2:7");
	NEI.hide("BiomesOPlenty:flowers2:8");
	NEI.hide("BiomesOPlenty:stoneFormations");
	NEI.hide("BiomesOPlenty:stoneFormations:1");
	NEI.hide("BiomesOPlenty:mushrooms");
	NEI.hide("BiomesOPlenty:mushrooms:1");
	NEI.hide("BiomesOPlenty:mushrooms:2");
	NEI.hide("BiomesOPlenty:mushrooms:3");
	NEI.hide("BiomesOPlenty:mushrooms:4");
	NEI.hide("BiomesOPlenty:mushrooms:5");
	NEI.hide("BiomesOPlenty:willow");
	NEI.hide("BiomesOPlenty:ivy");
	NEI.hide("BiomesOPlenty:treeMoss");
	NEI.hide("BiomesOPlenty:flowerVine");
	NEI.hide("BiomesOPlenty:wisteria");
	NEI.hide("BiomesOPlenty:foliage");
	NEI.hide("BiomesOPlenty:foliage:1");
	NEI.hide("BiomesOPlenty:foliage:2");
	NEI.hide("BiomesOPlenty:foliage:3");
	NEI.hide("BiomesOPlenty:foliage:4");
	NEI.hide("BiomesOPlenty:foliage:5");
	NEI.hide("BiomesOPlenty:foliage:7");
	NEI.hide("BiomesOPlenty:foliage:8");
	NEI.hide("BiomesOPlenty:foliage:9");
	NEI.hide("BiomesOPlenty:foliage:10");
	NEI.hide("BiomesOPlenty:foliage:11");
	NEI.hide("BiomesOPlenty:foliage:12");
	NEI.hide("BiomesOPlenty:foliage:13");
	NEI.hide("BiomesOPlenty:foliage:14");
	NEI.hide("BiomesOPlenty:foliage:15");
	NEI.hide("BiomesOPlenty:turnip");
	NEI.hide("BiomesOPlenty:coral1:11");
	NEI.hide("BiomesOPlenty:coral1:12");
	NEI.hide("BiomesOPlenty:coral1:13");
	NEI.hide("BiomesOPlenty:coral1:14");
	NEI.hide("BiomesOPlenty:coral1:15");
	NEI.hide("BiomesOPlenty:coral2:8");
	NEI.hide("BiomesOPlenty:poison");
	NEI.hide("BiomesOPlenty:hell_blood");
	NEI.hide("BiomesOPlenty:honey");
	NEI.hide("CarpentersBlocks:blockCarpentersBed");
	NEI.hide("CarpentersBlocks:blockCarpentersDoor");
	NEI.hide("chisel:aluminum_stairs.3");
	NEI.hide("chisel:aluminum_stairs.3:8");
	NEI.hide("chisel:aluminum_stairs.4");
	NEI.hide("chisel:aluminum_stairs.4:8");
	NEI.hide("chisel:aluminum_stairs.5");
	NEI.hide("chisel:aluminum_stairs.5:8");
	NEI.hide("chisel:aluminum_stairs.6");
	NEI.hide("chisel:aluminum_stairs.6:8");
	NEI.hide("chisel:aluminum_stairs.7");
	NEI.hide("chisel:aluminum_stairs.7:8");
	NEI.hide("chisel:amber");
	NEI.hide("EnderIO:blockLightNode");
	NEI.hide("Botania:solidVine");
	NEI.hide("Botania:buriedPetals");
	NEI.hide("Botania:buriedPetals:1");
	NEI.hide("Botania:buriedPetals:2");
	NEI.hide("Botania:buriedPetals:3");
	NEI.hide("Botania:buriedPetals:4");
	NEI.hide("Botania:buriedPetals:5");
	NEI.hide("Botania:buriedPetals:6");
	NEI.hide("Botania:buriedPetals:7");
	NEI.hide("Botania:buriedPetals:8");
	NEI.hide("Botania:buriedPetals:9");
	NEI.hide("Botania:buriedPetals:10");
	NEI.hide("Botania:buriedPetals:11");
	NEI.hide("Botania:buriedPetals:12");
	NEI.hide("Botania:buriedPetals:13");
	NEI.hide("Botania:buriedPetals:14");
	NEI.hide("Botania:buriedPetals:15");
	NEI.hide("Botania:manaFlame");
	NEI.hide("Botania:gaiaHeadBlock");
	NEI.hide("Botania:altGrass:5");
	NEI.hide("GardenCore:garden_farmland");
	NEI.hide("GardenCore:garden_proxy");
	NEI.hide("GardenCore:small_fire");
	NEI.hide("HardcoreEnderExpansion:corrupted_energy_low");
	NEI.hide("HardcoreEnderExpansion:ender_goo");
	NEI.hide("HardcoreEnderExpansion:temple_end_portal");
	NEI.hide("HardcoreEnderExpansion:laser_beam");
	NEI.hide("HardcoreEnderExpansion:corrupted_energy_high");
	NEI.hide("GraveStone:GSInvisibleWall");
	NEI.hide("Lumberjack:lumberaxeOureclase");
	NEI.hide("Lumberjack:lumberaxeDesichalkos");
	NEI.hide("Lumberjack:lumberaxeElectrum");
	NEI.hide("Lumberjack:lumberaxeMithril");
	NEI.hide("Lumberjack:lumberaxeInolashite");
	NEI.hide("Lumberjack:lumberaxeCarmot");
	NEI.hide("Lumberjack:lumberaxeIgnatius");
	NEI.hide("Lumberjack:lumberaxeOrichalcum");
	NEI.hide("Lumberjack:lumberaxeVulcanite");
	NEI.hide("Lumberjack:lumberaxeAngmallen");
	NEI.hide("Lumberjack:lumberaxePlatinum");
	NEI.hide("Lumberjack:lumberaxeSanguinite");
	NEI.hide("Lumberjack:lumberaxeEximite");
	NEI.hide("Lumberjack:lumberaxeCelenegil");
	NEI.hide("Lumberjack:lumberaxeGladiolus");
	NEI.hide("Lumberjack:lumberaxeCeruclase");
	NEI.hide("Lumberjack:lumberaxePrometheum");
	NEI.hide("Lumberjack:lumberaxeAmordrine");
	NEI.hide("Lumberjack:lumberaxeLeather");
	NEI.hide("Lumberjack:lumberaxeKalendrite");
	NEI.hide("Lumberjack:lumberaxeVyroxeres");
	NEI.hide("Lumberjack:lumberaxeWool");
	NEI.hide("Lumberjack:lumberaxeQuicksilver");
	NEI.hide("Lumberjack:lumberaxeHaderoth");
	NEI.hide("Lumberjack:lumberaxeHepatizon");
	NEI.hide("Lumberjack:lumberaxeAtlarus");
	NEI.hide("Lumberjack:lumberaxeMidasium");
	NEI.hide("Lumberjack:lumberaxeAdamantine");
	NEI.hide("Lumberjack:lumberaxeTartarite");
	NEI.hide("Lumberjack:lumberaxeAdmin");
	NEI.hide("Lumberjack:lumberaxeAether");
	NEI.hide("Lumberjack:lumberaxeWither");
	NEI.hide("Lumberjack:lumberaxeSilver");
	NEI.hide("Lumberjack:lumberaxeVampiric");
	NEI.hide("lycanitesmobs:mobtoken");
	NEI.hide("magicalcrops:AirCrop");
	NEI.hide("magicalcrops:CoalCrop");
	NEI.hide("magicalcrops:DyeCrop");
	NEI.hide("magicalcrops:EarthCrop");
	NEI.hide("magicalcrops:FireCrop");
	NEI.hide("magicalcrops:MinicioCrop");
	NEI.hide("magicalcrops:NatureCrop");
	NEI.hide("magicalcrops:WaterCrop");
	NEI.hide("magicalcrops:RedstoneCrop");
	NEI.hide("magicalcrops:GlowstoneCrop");
	NEI.hide("magicalcrops:ObsidianCrop");
	NEI.hide("magicalcrops:NetherCrop");
	NEI.hide("magicalcrops:IronCrop");
	NEI.hide("magicalcrops:GoldCrop");
	NEI.hide("magicalcrops:LapisCrop");
	NEI.hide("magicalcrops:ExperienceCrop");
	NEI.hide("magicalcrops:QuartzCrop");
	NEI.hide("magicalcrops:DiamondCrop");
	NEI.hide("magicalcrops:EmeraldCrop");
	NEI.hide("magicalcrops:BlazeCrop");
	NEI.hide("magicalcrops:CreeperCrop");
	NEI.hide("magicalcrops:EndermanCrop");
	NEI.hide("magicalcrops:GhastCrop");
	NEI.hide("magicalcrops:SkeletonCrop");
	NEI.hide("magicalcrops:SlimeCrop");
	NEI.hide("magicalcrops:SpiderCrop");
	NEI.hide("magicalcrops:WitherCrop");
	NEI.hide("magicalcrops:ChickenCrop");
	NEI.hide("magicalcrops:CowCrop");
	NEI.hide("magicalcrops:PigCrop");
	NEI.hide("magicalcrops:SheepCrop");
	NEI.hide("magicalcrops:CopperCrop");
	NEI.hide("magicalcrops:CertusQuartzCrop");
	NEI.hide("magicalcrops:LeadCrop");
	NEI.hide("magicalcrops:NickelCrop");
	NEI.hide("magicalcrops:OsmiumCrop");
	NEI.hide("magicalcrops:PeridotCrop");
	NEI.hide("magicalcrops:RubyCrop");
	NEI.hide("magicalcrops:SapphireCrop");
	NEI.hide("magicalcrops:PlatinumCrop");
	NEI.hide("magicalcrops:RubberCrop");
	NEI.hide("magicalcrops:SilverCrop");
	NEI.hide("magicalcrops:TinCrop");
	NEI.hide("magicalcrops:SulfurCrop");
	NEI.hide("magicalcrops:BlizzCrop");
	NEI.hide("magicalcrops:BronzeCrop");
	NEI.hide("magicalcrops:ElectrumCrop");
	NEI.hide("magicalcrops:EnderiumCrop");
	NEI.hide("magicalcrops:FluixCrop");
	NEI.hide("magicalcrops:InvarCrop");
	NEI.hide("magicalcrops:LumiumCrop");
	NEI.hide("magicalcrops:ManasteelCrop");
	NEI.hide("magicalcrops:SaltpeterCrop");
	NEI.hide("magicalcrops:SignalumCrop");
	NEI.hide("magicalcrops:SteelCrop");
	NEI.hide("magicalcrops:TerrasteelCrop");
	NEI.hide("magicalcrops:AirshardCrop");
	NEI.hide("magicalcrops:WatershardCrop");
	NEI.hide("magicalcrops:FireshardCrop");
	NEI.hide("magicalcrops:EarthshardCrop");
	NEI.hide("magicalcrops:EntropyshardCrop");
	NEI.hide("magicalcrops:OrdershardCrop");
	NEI.hide("magicalcrops:ThaumiumCrop");
	NEI.hide("magicalcrops:AmberCrop");
	NEI.hide("magicalcrops:QuicksilverCrop");
	NEI.hide("magicalcrops:ElectricalSteelCrop");
	NEI.hide("magicalcrops:EnergeticAlloyCrop");
	NEI.hide("magicalcrops:VibrantAlloyCrop");
	NEI.hide("magicalcrops:RedstoneAlloyCrop");
	NEI.hide("magicalcrops:ConductiveIronCrop");
	NEI.hide("magicalcrops:PulsatingIronCrop");
	NEI.hide("magicalcrops:DarkSteelCrop");
	NEI.hide("magicalcrops:SoulariumCrop");
	NEI.hide("magicalcrops:DraconiumCrop");
	NEI.hide("magnanimoustools:MagSwordBlade");
	NEI.hide("magnanimoustools:MagPickHead");
	NEI.hide("magnanimoustools:MagHammerHead");
	NEI.hide("magnanimoustools:MagEarthMoverHead");
	NEI.hide("magnanimoustools:HardenedHandle");
	NEI.hide("magnanimoustools:MagnanimousGem");
	NEI.hide("magnanimoustools:MagStick");
	NEI.hide("malisisdoors:door_acacia");
	NEI.hide("malisisdoors:door_birch");
	NEI.hide("malisisdoors:door_dark_oak");
	NEI.hide("malisisdoors:door_jungle");
	NEI.hide("malisisdoors:door_spruce");
	NEI.hide("malisisdoors:wood_sliding_door");
	NEI.hide("malisisdoors:iron_sliding_door");
	NEI.hide("malisisdoors:jail_door");
	NEI.hide("malisisdoors:laboratory_door");
	NEI.hide("malisisdoors:factory_door");
	NEI.hide("malisisdoors:shoji_door");
	NEI.hide("malisisdoors:curtain_black");
	NEI.hide("malisisdoors:curtain_red");
	NEI.hide("malisisdoors:curtain_green");
	NEI.hide("malisisdoors:curtain_brown");
	NEI.hide("malisisdoors:curtain_blue");
	NEI.hide("malisisdoors:curtain_purple");
	NEI.hide("malisisdoors:curtain_cyan");
	NEI.hide("malisisdoors:curtain_silver");
	NEI.hide("malisisdoors:curtain_gray");
	NEI.hide("malisisdoors:curtain_pink");
	NEI.hide("malisisdoors:curtain_lime");
	NEI.hide("malisisdoors:curtain_yellow");
	NEI.hide("malisisdoors:curtain_light_blue");
	NEI.hide("malisisdoors:curtain_magenta");
	NEI.hide("malisisdoors:curtain_orange");
	NEI.hide("malisisdoors:curtain_white");
	NEI.hide("malisisdoors:null");
	NEI.hide("malisisdoors:mixed_block");
	NEI.hide("malisisdoors:forcefieldDoor");
	NEI.hide("malisisdoors:item.custom_door");
	NEI.hide("MekanismGenerators:Generator:6");
	NEI.hide("Metallurgy:copper.molten");
	NEI.hide("Metallurgy:tin.molten");
	NEI.hide("Metallurgy:manganese.molten");
	NEI.hide("Metallurgy:bronze.molten");
	NEI.hide("Metallurgy:hepatizon.molten");
	NEI.hide("Metallurgy:damascus.steel.molten");
	NEI.hide("Metallurgy:angmallen.molten");
	NEI.hide("Metallurgy:steel.molten");
	NEI.hide("Metallurgy:eximite.molten");
	NEI.hide("Metallurgy:meutoite.molten");
	NEI.hide("Metallurgy:desichalkos.molten");
	NEI.hide("Metallurgy:prometheum.molten");
	NEI.hide("Metallurgy:deep.iron.molten");
	NEI.hide("Metallurgy:infuscolium.molten");
	NEI.hide("Metallurgy:black.steel.molten");
	NEI.hide("Metallurgy:oureclase.molten");
	NEI.hide("Metallurgy:astral.silver.molten");
	NEI.hide("Metallurgy:carmot.molten");
	NEI.hide("Metallurgy:mithril.molten");
	NEI.hide("Metallurgy:rubracium.molten");
	NEI.hide("Metallurgy:quicksilver.molten");
	NEI.hide("Metallurgy:haderoth.molten");
	NEI.hide("Metallurgy:orichalcum.molten");
	NEI.hide("Metallurgy:celenegil.molten");
	NEI.hide("Metallurgy:adamantine.molten");
	NEI.hide("Metallurgy:atlarus.molten");
	NEI.hide("Metallurgy:tartarite.molten");
	NEI.hide("Metallurgy:ignatius.molten");
	NEI.hide("Metallurgy:shadow.iron.molten");
	NEI.hide("Metallurgy:lemurite.molten");
	NEI.hide("Metallurgy:midasium.molten");
	NEI.hide("Metallurgy:vyroxeres.molten");
	NEI.hide("Metallurgy:ceruclase.molten");
	NEI.hide("Metallurgy:alduorite.molten");
	NEI.hide("Metallurgy:kalendrite.molten");
	NEI.hide("Metallurgy:vulcanite.molten");
	NEI.hide("Metallurgy:sanguinite.molten");
	NEI.hide("Metallurgy:shadow.steel.molten");
	NEI.hide("Metallurgy:inolashite.molten");
	NEI.hide("Metallurgy:amordrine.molten");
	NEI.hide("Metallurgy:zinc.molten");
	NEI.hide("Metallurgy:silver.molten");
	NEI.hide("Metallurgy:platinum.molten");
	NEI.hide("Metallurgy:brass.molten");
	NEI.hide("Metallurgy:electrum.molten");
	NEI.hide("MineFactoryReloaded:milk.still");
	NEI.hide("MineFactoryReloaded:sludge.still");
	NEI.hide("MineFactoryReloaded:sewage.still");
	NEI.hide("MineFactoryReloaded:mobessence.still");
	NEI.hide("MineFactoryReloaded:biofuel.still");
	NEI.hide("MineFactoryReloaded:meat.still");
	NEI.hide("MineFactoryReloaded:pinkslime.still");
	NEI.hide("MineFactoryReloaded:chocolatemilk.still");
	NEI.hide("MineFactoryReloaded:mushroomsoup.still");
	NEI.hide("MineFactoryReloaded:steam.still");
	NEI.hide("MineFactoryReloaded:farmland");
	NEI.hide("harvestcraft:pamApple");
	NEI.hide("harvestcraft:pamAlmond");
	NEI.hide("harvestcraft:pamApricot");
	NEI.hide("harvestcraft:pamAvocado");
	NEI.hide("harvestcraft:pamBanana");
	NEI.hide("harvestcraft:pamCashew");
	NEI.hide("harvestcraft:pamCherry");
	NEI.hide("harvestcraft:pamChestnut");
	NEI.hide("harvestcraft:pamCoconut");
	NEI.hide("harvestcraft:pamCinnamon");
	NEI.hide("harvestcraft:pamDate");
	NEI.hide("harvestcraft:pamDragonfruit");
	NEI.hide("harvestcraft:pamDurian");
	NEI.hide("harvestcraft:pamFig");
	NEI.hide("harvestcraft:pamGrapefruit");
	NEI.hide("harvestcraft:pamLemon");
	NEI.hide("harvestcraft:pamLime");
	NEI.hide("harvestcraft:pamMaple");
	NEI.hide("harvestcraft:pamMango");
	NEI.hide("harvestcraft:pamNutmeg");
	NEI.hide("harvestcraft:pamOlive");
	NEI.hide("harvestcraft:pamOrange");
	NEI.hide("harvestcraft:pamPapaya");
	NEI.hide("harvestcraft:pamPaperbark");
	NEI.hide("harvestcraft:pamPeach");
	NEI.hide("harvestcraft:pamPear");
	NEI.hide("harvestcraft:pamPecan");
	NEI.hide("harvestcraft:pamPeppercorn");
	NEI.hide("harvestcraft:pamPersimmon");
	NEI.hide("harvestcraft:pamPistachio");
	NEI.hide("harvestcraft:pamPlum");
	NEI.hide("harvestcraft:pamPomegranate");
	NEI.hide("harvestcraft:pamStarfruit");
	NEI.hide("harvestcraft:pamVanillabean");
	NEI.hide("harvestcraft:pamWalnut");
	NEI.hide("harvestcraft:pamGooseberry");
	NEI.hide("harvestcraft:pamblackberryCrop");
	NEI.hide("harvestcraft:pamblueberryCrop");
	NEI.hide("harvestcraft:pamcandleberryCrop");
	NEI.hide("harvestcraft:pamraspberryCrop");
	NEI.hide("harvestcraft:pamstrawberryCrop");
	NEI.hide("harvestcraft:pamcactusfruitCrop");
	NEI.hide("harvestcraft:pamasparagusCrop");
	NEI.hide("harvestcraft:pambarleyCrop");
	NEI.hide("harvestcraft:pamoatsCrop");
	NEI.hide("harvestcraft:pamryeCrop");
	NEI.hide("harvestcraft:pamcornCrop");
	NEI.hide("harvestcraft:pambambooshootCrop");
	NEI.hide("harvestcraft:pamcantaloupeCrop");
	NEI.hide("harvestcraft:pamcucumberCrop");
	NEI.hide("harvestcraft:pamwintersquashCrop");
	NEI.hide("harvestcraft:pamzucchiniCrop");
	NEI.hide("harvestcraft:pambeetCrop");
	NEI.hide("harvestcraft:pamonionCrop");
	NEI.hide("harvestcraft:pamparsnipCrop");
	NEI.hide("harvestcraft:pampeanutCrop");
	NEI.hide("harvestcraft:pamradishCrop");
	NEI.hide("harvestcraft:pamrutabagaCrop");
	NEI.hide("harvestcraft:pamsweetpotatoCrop");
	NEI.hide("harvestcraft:pamturnipCrop");
	NEI.hide("harvestcraft:pamrhubarbCrop");
	NEI.hide("harvestcraft:pamceleryCrop");
	NEI.hide("harvestcraft:pamgarlicCrop");
	NEI.hide("harvestcraft:pamgingerCrop");
	NEI.hide("harvestcraft:pamspiceleafCrop");
	NEI.hide("harvestcraft:pamtealeafCrop");
	NEI.hide("harvestcraft:pamcoffeebeanCrop");
	NEI.hide("harvestcraft:pammustardseedsCrop");
	NEI.hide("harvestcraft:pambroccoliCrop");
	NEI.hide("harvestcraft:pamcauliflowerCrop");
	NEI.hide("harvestcraft:pamleekCrop");
	NEI.hide("harvestcraft:pamlettuceCrop");
	NEI.hide("harvestcraft:pamscallionCrop");
	NEI.hide("harvestcraft:pamartichokeCrop");
	NEI.hide("harvestcraft:pambrusselsproutCrop");
	NEI.hide("harvestcraft:pamcabbageCrop");
	NEI.hide("harvestcraft:pamspinachCrop");
	NEI.hide("harvestcraft:pamwhitemushroomCrop");
	NEI.hide("harvestcraft:pambeanCrop");
	NEI.hide("harvestcraft:pamsoybeanCrop");
	NEI.hide("harvestcraft:pambellpepperCrop");
	NEI.hide("harvestcraft:pamchilipepperCrop");
	NEI.hide("harvestcraft:pameggplantCrop");
	NEI.hide("harvestcraft:pamokraCrop");
	NEI.hide("harvestcraft:pampeasCrop");
	NEI.hide("harvestcraft:pamtomatoCrop");
	NEI.hide("harvestcraft:pamcottonCrop");
	NEI.hide("harvestcraft:pampineappleCrop");
	NEI.hide("harvestcraft:pamgrapeCrop");
	NEI.hide("harvestcraft:pamkiwiCrop");
	NEI.hide("harvestcraft:pamcranberryCrop");
	NEI.hide("harvestcraft:pamriceCrop");
	NEI.hide("harvestcraft:pamseaweedCrop");
	NEI.hide("harvestcraft:pamcurryleafCrop");
	NEI.hide("harvestcraft:pamsesameseedsCrop");
	NEI.hide("harvestcraft:pamwaterchestnutCrop");
	NEI.hide("rftools:invisibleShieldBlock");
	NEI.hide("rftools:noTickInvisibleShieldBlock");
	NEI.hide("rftools:solidShieldBlock");
	NEI.hide("rftools:noTickolidShieldBlock");
	NEI.hide("Thaumcraft:blockFluxGoo");
	NEI.hide("Thaumcraft:blockFluxGas");
	NEI.hide("Thaumcraft:blockFluidPure");
	NEI.hide("Thaumcraft:blockFluidDeath");
	NEI.hide("Thaumcraft:blockManaPod");
	NEI.hide("Thaumcraft:blockArcaneFurnace");
	NEI.hide("Thaumcraft:blockWarded");
	NEI.hide("Thaumcraft:blockHole");
	NEI.hide("Thaumcraft:blockPortalEldritch");
	NEI.hide("Thaumcraft:blockEldritchNothing");
	NEI.hide("ThaumicHorizons:vat");
	NEI.hide("ThaumicHorizons:vatSolid");
	NEI.hide("ThaumicHorizons:vatInterior");
	NEI.hide("ThaumicHorizons:light");
	NEI.hide("ThaumicHorizons:lightSolar");
	NEI.hide("ThaumicHorizons:cloudTH");
	NEI.hide("ThaumicHorizons:cloudTH:2");
	NEI.hide("ThaumicHorizons:cloudTH:3");
	NEI.hide("ThaumicHorizons:cloudTH:5");
	NEI.hide("ThaumicHorizons:cloudTH:8");
	NEI.hide("ThaumicHorizons:cloudGlowingTH:1");
	NEI.hide("ThaumicHorizons:cloudGlowingTH:4");
	NEI.hide("ThaumicHorizons:cloudGlowingTH:6");
	NEI.hide("ThaumicHorizons:cloudGlowingTH:7");
	NEI.hide("ThaumicHorizons:cloudGlowingTH:9");
	NEI.hide("ThaumicHorizons:brainTH");
	NEI.hide("ThaumicHorizons:dustTH");
	NEI.hide("ThaumicHorizons:eyeTH");
	NEI.hide("ThaumicHorizons:boneTH");
	NEI.hide("ThaumicHorizons:fleshTH");
	NEI.hide("ThaumicHorizons:brainTH");
	NEI.hide("ThaumicHorizons:crystalTH");
	NEI.hide("ThaumicHorizons:crystalTH:1");
	NEI.hide("ThaumicHorizons:crystalTH:2");
	NEI.hide("ThaumicHorizons:crystalTH:3");
	NEI.hide("ThaumicHorizons:crystalTH:4");
	NEI.hide("ThaumicHorizons:crystalTH:5");
	NEI.hide("ThaumicHorizons:crystalTH:6");
	NEI.hide("ThaumicHorizons:crystalTH:7");
	NEI.hide("ThaumicHorizons:crystalTH:8");
	NEI.hide("ThaumicHorizons:crystalTH:9");
	NEI.hide("ThaumicHorizons:crystalTH:10");
	NEI.hide("ThaumicHorizons:crystalTH:11");
	NEI.hide("ThaumicHorizons:crystalTH:12");
	NEI.hide("ThaumicHorizons:crystalTH:13");
	NEI.hide("ThaumicHorizons:crystalTH:14");
	NEI.hide("ThaumicHorizons:crystalTH:15");
	NEI.hide("ThaumicHorizons:crystalDeep");
	NEI.hide("ThaumicHorizons:leviathanTH");
	NEI.hide("ThaumicHorizons:slotTH");
	NEI.hide("ThaumicHorizons:portalTH");
	NEI.hide("ThaumicHorizons:gatewayTH");
	NEI.hide("ThaumicHorizons:golemPlacer");
	NEI.hide("ThaumicHorizons:golemPlacer:1");
	NEI.hide("ThaumicHorizons:golemPlacer:2");
	NEI.hide("ThaumicHorizons:golemPlacer:3");
	NEI.hide("ThaumicHorizons:golemPlacer:4");
	NEI.hide("ThaumicHorizons:golemPlacer:5");
	NEI.hide("ThaumicHorizons:golemPlacer:6");
	NEI.hide("ThaumicHorizons:golemPlacer:7");
	NEI.hide("ThermalFoundation:FluidRedstone");
	NEI.hide("ThermalFoundation:FluidGlowstone");
	NEI.hide("ThermalFoundation:FluidEnder");
	NEI.hide("ThermalFoundation:FluidPyrotheum");
	NEI.hide("ThermalFoundation:FluidCryotheum");
	NEI.hide("ThermalFoundation:FluidAerotheum");
	NEI.hide("ThermalFoundation:FluidPetrotheum");
	NEI.hide("ThermalFoundation:FluidMana");
	NEI.hide("ThermalFoundation:FluidSteam");
	NEI.hide("ThermalFoundation:FluidCoal");
	NEI.hide("TwilightForest:tile.TFMagicLeaves");
	NEI.hide("TwilightForest:tile.TFMagicLeaves:1");
	NEI.hide("TwilightForest:tile.TFMagicLeaves:2");
	NEI.hide("TwilightForest:tile.TFMagicLeaves:3");
	NEI.hide("TwilightForest:tile.TFTrophy");
	NEI.hide("TwilightForest:tile.TFShield");
	NEI.hide("TwilightForest:tile.ForceField");
	NEI.hide("TwilightForest:tile.ForceField:1");
	NEI.hide("TwilightForest:tile.ForceField:2");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:1");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:2");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:3");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:4");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:5");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:6");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:7");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:8");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:9");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:10");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:11");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:12");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:13");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:14");
	NEI.hide("TwilightForest:tile.TFTowerTranslucent:15");
	NEI.hide("TwilightForest:tile.ForceField:3");
	NEI.hide("TwilightForest:tile.ForceField:4");
	NEI.hide("Aroma1997Core:wrenched");
	NEI.override("Artifacts:artifact_leather_helmet", [0]);
	NEI.override("Artifacts:artifact_chainmail_helmet", [0]);
	NEI.override("Artifacts:artifact_iron_helmet", [0]);
	NEI.override("Artifacts:artifact_golden_helmet", [0]);
	NEI.override("Artifacts:artifact_diamond_helmet", [0]);
	NEI.override("Artifacts:artifact_leather_chestplate", [0]);
	NEI.override("Artifacts:artifact_chainmail_chestplate", [0]);
	NEI.override("Artifacts:artifact_iron_chestplate", [0]);
	NEI.override("Artifacts:artifact_golden_chestplate", [0]);
	NEI.override("Artifacts:artifact_diamond_chestplate", [0]);
	NEI.override("Artifacts:artifact_leather_leggings", [0]);
	NEI.override("Artifacts:artifact_chainmail_leggings", [0]);
	NEI.override("Artifacts:artifact_iron_leggings", [0]);
	NEI.override("Artifacts:artifact_golden_leggings", [0]);
	NEI.override("Artifacts:artifact_diamond_leggings", [0]);
	NEI.override("Artifacts:artifact_leather_boots", [0]);
	NEI.override("Artifacts:artifact_chainmail_boots", [0]);
	NEI.override("Artifacts:artifact_iron_boots", [0]);
	NEI.override("Artifacts:artifact_golden_boots", [0]);
	NEI.override("Artifacts:artifact_diamond_boots", [0]);
	NEI.override("Artifacts:artifact_diamond_boots", [0]);
	NEI.override("OpenBlocks:tank", [0]);
}